[Rubygems-developers] rublog breakage on require_gem

Greg T gltewalt at yahoo.com
Thu Apr 1 00:48:27 EST 2004


Using: 
Mac OS X 10.2.7
ruby 1.8.1

rubygems I currently have...
[Aether:~] ds% gem --list
dbdbd-0.2.2
rublog-0.8.0
sources-0.0.1
jabber4r-0.7.0

To illustrate that everything works 
smoothly for the most part:

irb(main):001:0> require 'rubygems'
=> true
irb(main):002:0> require_gem 'dbdbd'
=> true
irb(main):003:0> require_gem 'jabber4r'
=> true

But, I get breakage when I try to require
rublog.

irb(main):004:0> require_gem 'rublog'
NoMethodError: undefined method `each' for
nil:NilClass
        from
/usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:42:in
`require_gem'
        from (irb):4




irb(main):005:0> $GEM_PATH
=> ["/usr/local/lib/ruby/gems/1.8"]


__________________________________
Do you Yahoo!?
Yahoo! Small Business $15K Web Design Giveaway 
http://promotions.yahoo.com/design_giveaway/


More information about the Rubygems-developers mailing list